Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Interface TreeDataModel<E>

All Known Subinterfaces:
  DeclarativeTreeModel<E>

    public interface TreeDataModel<E>

Author:
  Nick Belaevski

Field Summary
`static char` | `SEPARATOR_CHAR`

Method Summary
`Iterator<TreeDataModelTuple>` | `children()`
`TreeDataModelTuple` | `createSnapshot()`
`E` | `getData()`
`Object` | `getParentRowKey(Object rowKey)`
`Object` | `getRowKey()`
`javax.faces.convert.Converter` | `getRowKeyConverter()`
`Object` | `getWrappedData()`
`boolean` | `isDataAvailable()`
`boolean` | `isLeaf()`
`void` | `restoreFromSnapshot(TreeDataModelTuple tuple)`
`void` | `setRowKey(Object rowKey)`
`void` | `setWrappedData(Object data)`

Field Detail

### SEPARATOR_CHAR

    static final char SEPARATOR_CHAR

See Also:
  Constant Field Values

Method Detail

### getRowKey

    Object getRowKey()

### setRowKey

    void setRowKey(Object rowKey)

### isDataAvailable

    boolean isDataAvailable()

### isLeaf

    boolean isLeaf()

### getData

    E getData()

### children

    Iterator<TreeDataModelTuple> children()

### getParentRowKey

    Object getParentRowKey(Object rowKey)

### getWrappedData

    Object getWrappedData()

### setWrappedData

    void setWrappedData(Object data)

### createSnapshot

    TreeDataModelTuple createSnapshot()

### restoreFromSnapshot

    void restoreFromSnapshot(TreeDataModelTuple tuple)

### getRowKeyConverter

    javax.faces.convert.Converter getRowKeyConverter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.